Subject: bug#12696: closed (Re: bug#12696: 24.2.50; epa bug with gpg-agent)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Nov 2012 02:53:02 +0000

Your bug report

#12696: 24.2.50; epa bug with gpg-agent

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12696: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12696
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12696: 24.2.50; epa bug with gpg-agent
From: Daiki Ueno <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 15 Nov 2012 11:51:41 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Richard Stallman <[email-masked]> writes:

> Could you report the bug to Werner Koch <[email-masked]>, please?

Reported.  Closing this bug.

Subject: 24.2.50; epa bug with gpg-agent
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Sun, 21 Oct 2012 12:40:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

EPA fails when trying to use gpg-agent.  gpg-agent works when I run
gpg from a shell specifying --use-agent.

I tested this in a situation where gpg-agent already had my
passphrase.

I did  emacs -Q; C-x m; inserted `rms' in To field, `Test' as Subject,
and `Testing' as body.  I did M-x epa-mail-encrypt, which encrypted.
Then I did M-x epa-mail-decrypt, and it gave me the error

  epg--check-error-for-decrypt: peculiar error: "Decryption failed", ""

The same test, conducted without the GPG agent, successfully decrypts
(after asking me for my passphrase).

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/home/rms/emacs-bzr/trunk/etc/DEBUG.

In GNU Emacs 24.2.50.1 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2012-10-20 on chiefs-gnewsense
Bzr revision: 110610 [email-masked]
System Description:	gNewSense mipsel-l

Configured using:
 `configure 'CFLAGS=-O0 -g' '--with-gif=no' '--with-tiff=no''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-x m r m s C-n C-n C-n C-n T e s t i n g . RET ESC 
x e p a SPC m a i l SPC e n c TAB RET y ESC x e p d 
DEL a d RET C-x C-f . e m a c s RET C-s e p a d C-n 
C-n C-n C-n C-n C-n C-h f RET C-x o TAB RET C-x 1 C-u 
C-n C-n C-n TAB RET C-_ ESC f C-h f RET C-x o TAB RET 
C-x 1 C-v C-n C-p ESC f C-h f RET C-x o TAB RET x 1 
C-_ C-x 1 C-v C-u C-n C-n C-n C-n C-n C-n C-n ESC f 
ESC f ESC f ESC f C-h f RET C-x o TAB RET C-x 1 C-u 
C-n C-u C-n C-n ESC f C-h f RET C-x o TAB RET C-x 1 
C-u C-n C-u C-u C-n C-u C-p C-p C-p C-p ESC f C-h f 
RET C-x o TAB RET C-x 1 C-x C-g ESC : ( g e t e v f 
DEL v DEL DEL n v SPC " G P G _ A G E N T _ I N F O 
" ) RET C-v ESC < ESC x r e p o r t SPC e m a s SPC 
DEL c s SPC u g DEL DEL b u g RET

Recent messages:
Undo!
Type C-x 1 to delete the help window.
mouse-2, RET: find function's definition
Type C-x 1 to delete the help window.
mouse-2, RET: find function's definition
Type C-x 1 to delete the help window.
mouse-2, RET: find function's definition
"/tmp/gpg-hfrLmv/S.gpg-agent:14570:1"
Auto-saving...done
Mark set

Load-path shadows:
None found.

Features:
(shadow emacsbug vc-bzr find-func help-mode help-fns misearch
multi-isearch epa-mail epa derived epg epg-config mailalias rmailmm
message sendmail format-spec rfc822 mml easymenu mml-sec mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
dired t-mouse time-date rmailedit rmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils paren cus-start cus-load tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call